#pragma once
#include "Entity.h"
#define CS_TERMINAL_CREATENAME L"CS_terminal"
//ΦΥΆΛ»ϊ
class CS_Terminal :
    public Entity
{
public:
    CS_Terminal();
    void Step() override;
    void SetState(int stateID, int lr) override;
    void SetState(std::wstring stateName, int lr) override;
    int act_no = 0;
};

std::shared_ptr<Entity> CreateCS_Terminal();